Subject: Re: bug#34753: CC Mode 5.33.1; Inconsistent formatting in (ccmode) Config Basics
From: Alan Mackenzie <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Fri, 8 Mar 2019 18:47:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Basil,

I've just committed a patch to the emacs-26 branch to fix this bug, and
am closing it.

Basically, I've used the change you suggested, except it doesn't use
@bullet, and it's now one of two versions of the construct, alongside the
old version for Texinfo 4.x.  I believe there is a bug in Texinfo 6.6
which caused the misalignment.

I also fixed a minor glitch earlier on in cc-mode.texi.

Thanks again for the report.

-- 
Alan Mackenzie (Nuremberg, Germany).

On Wed, Mar 06, 2019 at 17:26:00 +0000, Alan Mackenzie wrote:
> On Mon, Mar 04, 2019 at 23:19:46 +0000, Basil L. Contovounesios wrote:
> > Severity: minor

> > The settings precedence list in '(ccmode) Config Basics' seems to be
> > misformatted, and is also inconsistent with other itemised lists in the
> > manual w.r.t. the type of bullet point used.

> Yes, that list _is_ misformatted.  I hadn't noticed that before.  It may
> be a bug in the perl versions of makeinfo, possibly just in the more
> recent versions of it.

> I don't see this list being inconsistent with anything, since there is
> no other similar list in the CC Mode manual to compare it with.  This
> list is a list of _things_, where each item is short and to the point.
> The other lists are lists of procedures, conditions, processes, etc.,
> which are much longer and more rambling.  The lack of bullets in this
> list is deliberate, since they could detract from the readability of the
> list.  Bullets would break up the sequence of things too much.  Sort of.

> > It seems to be written as a two-column table nested within a list, but
> > without utilising the second column.  Furthermore, the first item is
> > indented/bulleted differently to the rest of the items.  Is this
> > intentional?  If so, why?

> No, see above.  It seems like a bug in Texinfo version 6.x.

[ .... ]

> @itemx is used, since a plain @item puts (or used to put) an unwanted
> blank line between the items.  I think at the time I wrote it, the
> @table within an @itemize @asis list (as it originally was) was the only
> way I could get Texinto to format the info the way I wanted it.
> Somebody changed @itemize @asis to @itemize @w{} some while ago, but
> reversing that change doesn't fix the bug in Texinfo.

> I would like to keep compatibility with Texinfo 4.13 for those who don't
> like the perl versions of Texinfo.

> I think I will get in touch with the Texinfo people to see if they can
> help me get that list formatted properly.

> > I also attach three screenshots.  The first two show how the list is
> > currently rendered in HTML[1] and Info-mode, respectively.  The third
> > shows the Info-mode rendering following my suggested patch.

> Thanks.

> > [1] https://www.gnu.org/software/emacs/manual/html_node/ccmode/Config-Basics.html

> > Thanks,

> > -- 
> > Basil

> > Emacs: GNU Emacs 26.1.92 (build 2, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
> >  of 2019-02-26
> > Package: CC Mode 5.33.1 (C/*l)